Package twisted :: Package persisted :: Module aot

[show private | hide private]
[frames | no frames]

## Module twisted.persisted.aot

AOT: Abstract Object Trees The source-code-marshallin'est abstract-object-serializin'est persister this side of Marmalade!

Classes
`AOTJellier` |
`AOTUnjellier` | I handle the unjellying of an Abstract Object Tree.
`Class` |
`Copyreg` |
`Deref` |
`Function` |
`Instance` |
`InstanceMethod` |
`Module` |
`Named` |
`Ref` |
`_NoStateObj` |

Exceptions
`NonFormattableDict` | A dictionary was not formattable.

Function Summary
| `dictToKW(d)`
| ``getSource`(ao)` Pass me an AO, I'll return a nicely-formatted source representation.
| `indentify(s)`
| ``jellyToAOT`(obj)` Convert an object to an Abstract Object Tree.
| ``jellyToSource`(obj, file)` Pass me an object and, optionally, a file object.
| `prettify(obj)`
| ``unjellyFromAOT`(aot)` Pass me an Abstract Object Tree, and I'll unjelly it for you.
| ``unjellyFromSource`(stringOrFile)` Pass me a string of code or a filename that defines an 'app' variable (in terms of Abstract Objects!), and I'll execute it and unjelly the resulting AOT for you, returning a newly unpersisted Application object!

Variable Summary
`_NoStateObj` | `NoStateObj`
`SRE_Pattern` | `r`

Function Details

### getSource(ao)

Pass me an AO, I'll return a nicely-formatted source representation.

### jellyToAOT(obj)

Convert an object to an Abstract Object Tree.

### jellyToSource(obj, file=None)

Pass me an object and, optionally, a file object. I'll convert the object to an AOT either return it (if no file was specified) or write it to the file.

### unjellyFromAOT(aot)

Pass me an Abstract Object Tree, and I'll unjelly it for you.

### unjellyFromSource(stringOrFile)

Pass me a string of code or a filename that defines an 'app' variable (in terms of Abstract Objects!), and I'll execute it and unjelly the resulting AOT for you, returning a newly unpersisted Application object!

Variable Details

### NoStateObj

  Type:
    `_NoStateObj`
  Value:

        <twisted.persisted.aot._NoStateObj instance at 0x86a60f4>

### r

  Type:
    `SRE_Pattern`
  Value:

        [a-zA-Z_][a-zA-Z0-9_]*$

Generated by Epydoc 1.1 on Sat Feb 15 21:19:09 2003 | http://epydoc.sf.net